summaryrefslogtreecommitdiffstats
path: root/test/TEST-22-TMPFILES/test-07.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-22-TMPFILES/test-07.sh')
-rwxr-xr-xtest/TEST-22-TMPFILES/test-07.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/TEST-22-TMPFILES/test-07.sh b/test/TEST-22-TMPFILES/test-07.sh
new file mode 100755
index 0000000..39c04b9
--- /dev/null
+++ b/test/TEST-22-TMPFILES/test-07.sh
@@ -0,0 +1,31 @@
+#! /bin/bash
+#
+# Verifies the issues described by https://github.com/systemd/systemd/issues/10191
+#
+
+set -e
+set -x
+
+rm -rf /tmp/test-prefix
+
+mkdir /tmp/test-prefix
+touch /tmp/test-prefix/file
+
+systemd-tmpfiles --remove - <<EOF
+r /tmp/test-prefix
+r /tmp/test-prefix/file
+EOF
+
+! test -f /tmp/test-prefix/file
+! test -f /tmp/test-prefix
+
+mkdir /tmp/test-prefix
+touch /tmp/test-prefix/file
+
+systemd-tmpfiles --remove - <<EOF
+r /tmp/test-prefix/file
+r /tmp/test-prefix
+EOF
+
+! test -f /tmp/test-prefix/file
+! test -f /tmp/test-prefix